HomeUser provisioningExpertise and interests

Expertise and interests

Use the Skill API to assign or remove expertise and interests on a user's profile from an external system such as an LMS.

Before you start

  • You need a General Profile Source configured in Interact. See General Profile Sources.
  • The expertise or interest must already exist as an option in Interact before you call the API.

Overview

A core part of Interact's people directory is the ability to search for people by their registered expertise and interests. For example, you can search for everyone who speaks French and has an interest in skiing. Often the relevant expertise is stored or assigned in an external system such as an LMS.

With the Skill API, an LMS or any other system can assign expertise or interests to a person's profile automatically.

Assign an expertise or interest

POST the name of the skill to the following URL. The ID of the person to assign the skill to is specified in the URL:

POST https://{{intranet_url}}/api/umi/{{source_id}}/skill/{{person_id}}

In the URL, {{source_id}} is the ID of the profile source, and {{person_id}} is the Interact identifier for the relevant person's profile.

General Profile Sources list showing the source ID

Include a header with the key X-ApiKey and the value set to the authentication token that you entered when you created the General Profile Source.

Format the request body like this:

{ "skill": "Internal Communications" }

Important: The expertise or interest must already exist as an option in Interact before you call the API.

Remove an expertise or interest

Use the same endpoint, but with the DELETE verb instead of POST:

DELETE https://{{intranet_url}}/api/umi/{{source_id}}/skill/{{person_id}}
Section: User provisioning